@postlight/mandrill_sdk_playground

    0.0.9 • Public • Published

    @postlight/mandrill_sdk_playground

    mandrill_sdk_playground - JavaScript client for @postlight/mandrill_sdk_playground No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen) This SDK is automatically generated by the Swagger Codegen project:

    • API version: 0.0.9
    • Package version: 0.0.9
    • Build package: io.swagger.codegen.languages.JavascriptClientCodegen

    Installation

    For Node.js

    npm

    To publish the library as a npm, please follow the procedure in "Publishing npm packages".

    Then install it via:

    npm install @postlight/mandrill_sdk_playground --save
    Local development

    To use the library locally without publishing to a remote npm registry, first install the dependencies by changing into the directory containing package.json (and this README). Let's call this JAVASCRIPT_CLIENT_DIR. Then run:

    npm install

    Next, link it globally in npm with the following, also from JAVASCRIPT_CLIENT_DIR:

    npm link

    Finally, switch to the directory you want to use your @postlight/mandrill_sdk_playground from, and run:

    npm link /path/to/<JAVASCRIPT_CLIENT_DIR>

    You should now be able to require('@postlight/mandrill_sdk_playground') in javascript files from the directory you ran the last command above from.

    git

    If the library is hosted at a git repository, e.g. https://github.com/GIT_USER_ID/GIT_REPO_ID then install it via:

        npm install GIT_USER_ID/GIT_REPO_ID --save

    For browser

    The library also works in the browser environment via npm and browserify. After following the above steps with Node.js and installing browserify with npm install -g browserify, perform the following (assuming main.js is your entry file, that's to say your javascript file where you actually use this library):

    browserify main.js > bundle.js

    Then include bundle.js in the HTML pages.

    Webpack Configuration

    Using Webpack you may encounter the following error: "Module not found: Error: Cannot resolve module", most certainly you should disable AMD loader. Add/merge the following section to your webpack config:

    module: {
      rules: [
        {
          parser: {
            amd: false
          }
        }
      ]
    }

    Getting Started

    Please follow the installation instruction and execute the following JS code:

    var mandrill_sdk_playground = require('@postlight/mandrill_sdk_playground');
    
    var api = new mandrill_sdk_playground.DefaultApi()
    
    var body = new mandrill_sdk_playground.Body(); // {Body} 
    
    
    var callback = function(error, data, response) {
      if (error) {
        console.error(error);
      } else {
        console.log('API called successfully. Returned data: ' + data);
      }
    };
    api.postUsersPing(body, callback);

    Documentation for API Endpoints

    All URIs are relative to https://mandrillapp.com/api/1.0

    Class Method HTTP request Description
    mandrill_sdk_playground.DefaultApi postUsersPing POST /users/ping /users/ping

    Documentation for Models

    Documentation for Authorization

    All endpoints do not require authorization.

    Keywords

    none

    Install

    npm i @postlight/mandrill_sdk_playground

    DownloadsWeekly Downloads

    4

    Version

    0.0.9

    License

    Unlicense

    Unpacked Size

    42.9 kB

    Total Files

    16

    Last publish

    Collaborators

    • kevinbarrettpl
    • jadt26
    • alexiakl
    • fdsimms
    • skellyb
    • zacharygolba
    • aortbals
    • prichey